import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.ResultSet;

public class SimpleQuery {
 
    private static final String url =
             "jdbc:postgresql://localhost/sb";
    private static final String user = "sb";
    private static final String password = "";
 
    public static void main(String[] args) {

        // Datenbank-Verbindung oeffnen:
        Connection conn = null;
        try {
            conn = DriverManager.
                    getConnection(url, user, password);
            System.out.println(
                    "Connected successfully.");
        } catch (SQLException e) {
            System.out.println(e.getMessage());
            System.exit(1);
        }
 
        // Anfrage:
        String query =
            "SELECT S.NACHNAME, B.PUNKTE " +
            "FROM   STUDENTEN S, BEWERTUNGEN B " +
            "WHERE  S.SID = B.SID " +
            "AND    B.ATYP = 'H' AND B.ANR = 1";

        // Anfrage ausfuehren:
        Statement stmt = null;
        ResultSet rs   = null;
        try {
            stmt = conn.createStatement();
            rs = stmt.executeQuery(query);
            while(rs.next()) {
                String stud = rs.getString(1);
                int points = rs.getInt(2);
                System.out.println(stud + ": " + points);
            }
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        } finally {
            // Resultset schliessen:
            try {
                if(rs != null)
                    rs.close();
            } catch (SQLException e) {
                System.out.println(e.getMessage());
            }

            // Statement schliessen:
            try {
                if(stmt != null)
                    stmt.close();
            } catch (SQLException e) {
                System.out.println(e.getMessage());
            }
        }

        // Verbindung schliessen:
        try {
            conn.close();
        } catch (SQLException e) {
            System.out.println(e.getMessage());
        }

    }
}
